"use strict";
/*
 * Copyright (c) 2020-2025 TomTom International B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractCoordinate = void 0;
var BinaryInformation_1 = require("./BinaryInformation");
var AbstractCoordinate = /** @class */ (function (_super) {
    __extends(AbstractCoordinate, _super);
    function AbstractCoordinate() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(AbstractCoordinate.prototype, "lon", {
        get: function () {
            return this._lon;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AbstractCoordinate.prototype, "lat", {
        get: function () {
            return this._lat;
        },
        enumerable: false,
        configurable: true
    });
    AbstractCoordinate.prototype.putCoordinates = function (bitStreamOutput) {
        bitStreamOutput.putBits(this._lon, this._coordBits);
        bitStreamOutput.putBits(this._lat, this._coordBits);
    };
    AbstractCoordinate.prototype._read = function (bitStreamInput) {
        this._lon = bitStreamInput.getSignedBits(this._coordBits);
        this._lat = bitStreamInput.getSignedBits(this._coordBits);
    };
    AbstractCoordinate.fromBitCount = function (countBits) {
        var abstractCoordinate = new AbstractCoordinate();
        abstractCoordinate._coordBits = countBits;
        return abstractCoordinate;
    };
    return AbstractCoordinate;
}(BinaryInformation_1.BinaryInformation));
exports.AbstractCoordinate = AbstractCoordinate;
//# sourceMappingURL=AbstractCoordinate.js.map