import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Attr4 extends BinaryInformation {
    /** Number of unused bits */
    protected static _RFU_BITS: number;
    /** Number of bits used for positive offset flag */
    protected static _POFFF_BITS: number;
    /** Number of bits used for negative offset flag */
    protected static _NOFFF_BITS: number;
    /** Number of bits used for bearing */
    protected static _BEAR_BITS: number;
    /** The positive offset flag information. */
    protected _pOffsetF: number;
    /** The negative offset flag information. */
    protected _nOffsetF: number;
    /** The bearing information. */
    protected _bear: number;
    get pOffsetF(): number;
    get nOffsetF(): number;
    get bear(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(pOffsetF: number, nOffsetF: number, bear: number): Attr4;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Attr4;
}
