import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Header extends BinaryInformation {
    protected static _RFU_BITS: number;
    protected static _AREA_FLAG_BIT0: number;
    protected static _AREA_FLAG_BIT1: number;
    /** Number of bits used for attributes flag */
    protected static _ATTR_FLAG_BITS: number;
    /** Number of bits used for poflag */
    protected static _POINT_FLAG_BITS: number;
    /** Number of bits used for version */
    protected static _VERSION_BITS: number;
    /** The area flag information. */
    protected _arf: number;
    /** The attribute flag information. */
    protected _af: number;
    /** The poflag information */
    protected _pf: number;
    /** The version information. */
    protected _ver: number;
    get arf(): number;
    get af(): number;
    get pf(): number;
    get ver(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(arfValue: number, afValue: number, pfValue: number, verValue: number): Header;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Header;
}
