"use strict";
/*
 * Copyright (c) 2020-2025 TomTom International B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoCoordDecoder = void 0;
var AbsoluteCoordinates_1 = require("../data/AbsoluteCoordinates");
var AbstractDecoder_1 = require("./AbstractDecoder");
var GeoCoordinates_1 = require("../../map/GeoCoordinates");
var RawGeoCoordLocationReference_1 = require("../../data/raw-location-reference/RawGeoCoordLocationReference");
var GeoCoordDecoder = /** @class */ (function (_super) {
    __extends(GeoCoordDecoder, _super);
    function GeoCoordDecoder() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GeoCoordDecoder.prototype.decodeData = function (id, bitStreamInput, totalBytes, version, binaryData) {
        var absCoord = AbsoluteCoordinates_1.AbsoluteCoordinates.fromBitStreamInput(bitStreamInput);
        var geoCoord = GeoCoordinates_1.GeoCoordinates.fromValues(this._calculate32BitRepresentation(absCoord.lon), this._calculate32BitRepresentation(absCoord.lat));
        var rawLocRef = RawGeoCoordLocationReference_1.RawGeoCoordLocationReference.fromGeoCoordValues(id, geoCoord);
        if (binaryData !== null) {
            binaryData.absCoord = absCoord;
        }
        return rawLocRef;
    };
    return GeoCoordDecoder;
}(AbstractDecoder_1.AbstractDecoder));
exports.GeoCoordDecoder = GeoCoordDecoder;
//# sourceMappingURL=GeoCoordDecoder.js.map