import { GeoCoordinates } from '../map/GeoCoordinates';
import { FormOfWay } from '../map/FormOfWay';
import { FunctionalRoadClass } from '../map/FunctionalRoadClass';
export declare class LocationReferencePoint {
    /** The bearing of the line referenced by the LRP. */
    protected _bearing: number;
    /** The distance to the next LRP along the shortest-path. */
    protected _distanceToNext: number;
    /** The functional road class of the line referenced by the LRP. */
    protected _frc: FunctionalRoadClass | null;
    /** The form of way of the line referenced by the LRP. */
    protected _fow: FormOfWay | null;
    /** The lowest functional road class to the next LRP. */
    protected _lfrcnp: FunctionalRoadClass | null;
    /** indicate that this is the last LRP */
    protected _isLast: boolean;
    /** The longitude coordinate. */
    protected _longitude: number;
    /** The latitude coordinate. */
    protected _latitude: number;
    /** The sequence number. */
    protected _sequenceNumber: number;
    getLongitudeDeg(): number;
    getLatitudeDeg(): number;
    getBearing(): number;
    getDistanceToNext(): number;
    getFRC(): FunctionalRoadClass | null;
    getFOW(): FormOfWay | null;
    getLfrc(): FunctionalRoadClass | null;
    isLastLRP(): boolean;
    static fromValues(sequenceNumber: number, frc: FunctionalRoadClass, fow: FormOfWay, longitude: number, latitude: number, bearing: number, distanceToNext: number, lfrcnp: FunctionalRoadClass | null, isLast: boolean): LocationReferencePoint;
    static fromGeoCoordinate(coord: GeoCoordinates): LocationReferencePoint;
}
