export declare enum LocationType {
    /** Location is UNKNOWN. */
    UNKNOWN = 0,
    /** line location. */
    LINE_LOCATION = 1,
    /** simple geo coordinates */
    GEO_COORDINATES = 2,
    /** point along a line */
    POINT_ALONG_LINE = 3,
    /** point of interest with an access point along a line */
    POI_WITH_ACCESS_POINT = 4,
    /** circle area location */
    CIRCLE = 5,
    /** polygon area location */
    POLYGON = 6,
    /** closed line area location */
    CLOSED_LINE = 7,
    /** rectangular area location */
    RECTANGLE = 8,
    /** grid area location */
    GRID = 9
}
export declare const AREA_LOCATIONS: Set<LocationType>;
export declare const POINTS_LOCATIONS: Set<LocationType>;
