"use strict";
/*
 * Copyright (c) 2020-2025 TomTom International B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the 'License');
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an 'AS IS' BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Serializer = exports.RawLineLocationReference = exports.RawPolygonLocationReference = exports.RawPointLocationReference = exports.RawPointAlongLineLocationReference = exports.RawInvalidLocationReference = exports.RawGeoCoordLocationReference = exports.RawCircleLocationReference = exports.RawLocationReference = exports.Offsets = exports.POINTS_LOCATIONS = exports.AREA_LOCATIONS = exports.LocationType = exports.LocationReferencePoint = exports.LocationReference = exports.BinaryEncoder = exports.BinaryDecoder = exports.Buffer = void 0;
var buffer_1 = require("buffer");
Object.defineProperty(exports, "Buffer", { enumerable: true, get: function () { return buffer_1.Buffer; } });
var BinaryDecoder_1 = require("./binary/BinaryDecoder");
Object.defineProperty(exports, "BinaryDecoder", { enumerable: true, get: function () { return BinaryDecoder_1.BinaryDecoder; } });
var BinaryEncoder_1 = require("./binary/BinaryEncoder");
Object.defineProperty(exports, "BinaryEncoder", { enumerable: true, get: function () { return BinaryEncoder_1.BinaryEncoder; } });
var LocationReference_1 = require("./data/LocationReference");
Object.defineProperty(exports, "LocationReference", { enumerable: true, get: function () { return LocationReference_1.LocationReference; } });
var LocationReferencePoint_1 = require("./data/LocationReferencePoint");
Object.defineProperty(exports, "LocationReferencePoint", { enumerable: true, get: function () { return LocationReferencePoint_1.LocationReferencePoint; } });
var LocationType_1 = require("./data/LocationType");
Object.defineProperty(exports, "AREA_LOCATIONS", { enumerable: true, get: function () { return LocationType_1.AREA_LOCATIONS; } });
Object.defineProperty(exports, "LocationType", { enumerable: true, get: function () { return LocationType_1.LocationType; } });
Object.defineProperty(exports, "POINTS_LOCATIONS", { enumerable: true, get: function () { return LocationType_1.POINTS_LOCATIONS; } });
var RawLocationReference_1 = require("./data/raw-location-reference/RawLocationReference");
Object.defineProperty(exports, "RawLocationReference", { enumerable: true, get: function () { return RawLocationReference_1.RawLocationReference; } });
var RawCircleLocationReference_1 = require("./data/raw-location-reference/RawCircleLocationReference");
Object.defineProperty(exports, "RawCircleLocationReference", { enumerable: true, get: function () { return RawCircleLocationReference_1.RawCircleLocationReference; } });
var RawGeoCoordLocationReference_1 = require("./data/raw-location-reference/RawGeoCoordLocationReference");
Object.defineProperty(exports, "RawGeoCoordLocationReference", { enumerable: true, get: function () { return RawGeoCoordLocationReference_1.RawGeoCoordLocationReference; } });
var RawInvalidLocationReference_1 = require("./data/raw-location-reference/RawInvalidLocationReference");
Object.defineProperty(exports, "RawInvalidLocationReference", { enumerable: true, get: function () { return RawInvalidLocationReference_1.RawInvalidLocationReference; } });
var RawPointAlongLineLocationReference_1 = require("./data/raw-location-reference/RawPointAlongLineLocationReference");
Object.defineProperty(exports, "RawPointAlongLineLocationReference", { enumerable: true, get: function () { return RawPointAlongLineLocationReference_1.RawPointAlongLineLocationReference; } });
var RawPointLocationReference_1 = require("./data/raw-location-reference/RawPointLocationReference");
Object.defineProperty(exports, "RawPointLocationReference", { enumerable: true, get: function () { return RawPointLocationReference_1.RawPointLocationReference; } });
var RawPolygonLocationReference_1 = require("./data/raw-location-reference/RawPolygonLocationReference");
Object.defineProperty(exports, "RawPolygonLocationReference", { enumerable: true, get: function () { return RawPolygonLocationReference_1.RawPolygonLocationReference; } });
var RawLineLocationReference_1 = require("./data/raw-location-reference/RawLineLocationReference");
Object.defineProperty(exports, "RawLineLocationReference", { enumerable: true, get: function () { return RawLineLocationReference_1.RawLineLocationReference; } });
var Serializer_1 = require("./data/Serializer");
Object.defineProperty(exports, "Serializer", { enumerable: true, get: function () { return Serializer_1.Serializer; } });
var Offsets_1 = require("./data/Offsets");
Object.defineProperty(exports, "Offsets", { enumerable: true, get: function () { return Offsets_1.Offsets; } });
//# sourceMappingURL=index.js.map