"use strict";
/*
 * Copyright (c) 2020-2025 TomTom International B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoCoordinates = void 0;
var GeoCoordinates = /** @class */ (function () {
    function GeoCoordinates() {
    }
    GeoCoordinates.prototype.getLatitudeDeg = function () {
        return this._latitude;
    };
    GeoCoordinates.prototype.getLongitudeDeg = function () {
        return this._longitude;
    };
    GeoCoordinates.checkCoordinateBounds = function (lon, lat) {
        return (lon >= GeoCoordinates.MIN_LON && lon <= GeoCoordinates.MAX_LON && lat >= GeoCoordinates.MIN_LAT && lat <= GeoCoordinates.MAX_LAT);
    };
    GeoCoordinates.fromValues = function (longitude, latitude) {
        if (!GeoCoordinates.checkCoordinateBounds(longitude, latitude)) {
            throw new Error('Coordinates out of bounds');
        }
        var geoCoordinates = new GeoCoordinates();
        geoCoordinates._longitude = longitude;
        geoCoordinates._latitude = latitude;
        return geoCoordinates;
    };
    /** The Constant MAX_LAT. */
    GeoCoordinates.MAX_LAT = 90;
    /** The Constant MIN_LAT. */
    GeoCoordinates.MIN_LAT = -90;
    /** The Constant MAX_LON. */
    GeoCoordinates.MAX_LON = 180;
    /** The Constant MIN_LON. */
    GeoCoordinates.MIN_LON = -180;
    return GeoCoordinates;
}());
exports.GeoCoordinates = GeoCoordinates;
//# sourceMappingURL=GeoCoordinates.js.map