import { Buffer } from 'buffer';
import { Header } from './data/Header';
import { RawBinaryData } from './data/RawBinaryData';
import { LocationReference } from '../data/LocationReference';
import { RawLocationReference } from '../data/raw-location-reference/RawLocationReference';
export declare class BinaryDecoder {
    protected static _VERSIONS: number[];
    decodeData(locationReference: LocationReference): RawLocationReference | null;
    getDataFormatIdentifier(): string;
    resolveBinaryData(id: string, data: Buffer): RawBinaryData;
    protected _checkVersion(header: Header): boolean;
    protected _parseBinaryData(id: string, data: Buffer, binaryData: RawBinaryData | null): RawLocationReference | null;
    static getVersions(): number[];
}
