/*
 * Copyright (c) 2020-2025 TomTom International B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { BinaryInformation } from './BinaryInformation';
export class Attr3 extends BinaryInformation {
    get dnp() {
        return this._dnp;
    }
    put(bitStreamOutput) {
        bitStreamOutput.putBits(this._dnp, Attr3._DNP_BITS);
    }
    static fromValues(dnp) {
        const attr3 = new Attr3();
        attr3._dnp = dnp;
        return attr3;
    }
    static fromBitStreamInput(bitStreamInput) {
        const attr3 = new Attr3();
        attr3._dnp = bitStreamInput.getBits(Attr3._DNP_BITS);
        return attr3;
    }
}
/** Number of bits used for dnp */
Attr3._DNP_BITS = 8;
//# sourceMappingURL=Attr3.js.map