import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare enum RadiusType {
    /** Small radius (BINARY_VERSION_3: up to 255m) */
    SMALL = 1,
    /** Medium radius (BINARY_VERSION_3: up to 65536m) */
    MEDIUM = 2,
    /** Large radius (BINARY_VERSION_3: up to 16777216m) */
    LARGE = 3,
    /** Extra large radius (BINARY_VERSION_3: up to 4294967296m) */
    EXTRA_LARGE = 4,
    /** Unknown radius type */
    UNKNOWN = 0
}
export declare const resolveRadius: (bytes: number) => RadiusType;
export declare class Radius {
    /** The Constant MAX_RADIUS_SMALL. */
    protected static _MAX_RADIUS_SMALL: number;
    /** The Constant MAX_RADIUS_MEDIUM. */
    protected static _MAX_RADIUS_MEDIUM: number;
    /** The Constant MAX_RADIUS_LARGE. */
    protected static _MAX_RADIUS_LARGE: number;
    /** The Constant MAX_RADIUS_EXTRA_LARGE. */
    protected static _MAX_RADIUS_EXTRA_LARGE: number;
    protected _radius: number;
    get radius(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(radiusValue: number): Radius;
    static fromBitStreamInput(bitStreamInput: BitStreamInput, type: RadiusType): Radius;
    protected static _intToLong(integer: number): number;
}
