import { LocationReferencePoint } from '../../data/LocationReferencePoint';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { RawBinaryData } from '../data/RawBinaryData';
import { Attr1 } from '../data/Attr1';
import { FirstLRP } from '../data/FirstLRP';
import { IntermediateLRP } from '../data/IntermediateLRP';
import { LastClosedLineLRP } from '../data/LastClosedLineLRP';
import { LastLRP } from '../data/LastLRP';
import { RawLocationReference } from '../../data/raw-location-reference/RawLocationReference';
export declare class AbstractDecoder {
    decodeData(id: string, bitStreamInput: BitStreamInput, totalBytes: number, version: number, binaryData: RawBinaryData | null): RawLocationReference;
    protected _resolveSideOfRoad(attrib1: Attr1): import("../../data/location/data/SideOfRoad").SideOfRoad;
    protected _resolveOrientation(attrib1: Attr1): import("../../data/location/data/Orientation").Orientation;
    protected _calculateRelativeDistance(offset: number): number;
    protected _createFirstLRP(seqNr: number, firstLRP: FirstLRP): LocationReferencePoint;
    protected _createIntermediateLRPFromLatitudeLongitude(seqNr: number, intermediateLRP: IntermediateLRP, prevLon: number, prevLat: number): LocationReferencePoint;
    protected _createIntermediateLRPFromFirstAndLast(seqNr: number, lastClosedLineLRP: LastClosedLineLRP, firstLRP: FirstLRP): LocationReferencePoint;
    protected _createLastLRP(seqNr: number, lastLRP: LastLRP, prevLon: number, prevLat: number): LocationReferencePoint;
    protected _calculate32BitRepresentation(val: number): number;
    protected _calculateBearingEstimate(interval: number): number;
    protected _calculateDistanceEstimate(interval: number): number;
    protected _get24BitRepresentation(val: number): number;
}
