import { Buffer } from 'buffer';
import { LocationType } from './LocationType';
export declare class LocationReference {
    /** The Constant VERSION_MASK. */
    protected static _VERSION_MASK: number;
    /** The unique id. */
    protected _id: string;
    /** The loc type. */
    protected _locationType: LocationType;
    /** The error. */
    protected _returnCode: number | null;
    /** The binary location reference data. Implemented as a Node JS buffer. */
    protected _data: Buffer | null;
    /** The version. */
    protected _version: number;
    getReturnCode(): number | null;
    getId(): string;
    isValid(): boolean;
    getDataIdentifier(): string;
    getLocationReferenceData(): Buffer<ArrayBufferLike> | null;
    getLocationType(): LocationType;
    getVersion(): number;
    static fromIdAndBuffer(id: string, data: Buffer): LocationReference;
    static fromValues(id: string, returnCode: number, locationType: LocationType, version: number): LocationReference;
    protected static _checkVersion(ver: number): boolean;
    protected static _resolveVersion(data: Buffer): number;
    protected static _resolveLocationType(data: Buffer): LocationType;
}
